## com.gargoylesoftware.htmlunit
Class ElementNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.gargoylesoftware.htmlunit.ElementNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ElementNotFoundException

extends java.lang.RuntimeException

An exception that is thrown when a specified XML element cannot be found in the DOM model.

Version:
  $Revision: 4097 $
Author:
  Mike Bowler
See Also:
  Serialized Form

Constructor Summary
`ElementNotFoundException(java.lang.String elementName, java.lang.String attributeName, java.lang.String attributeValue)` Creates an instance from the variables that were used to search for the XML element.

Method Summary
`java.lang.String` `getAttributeName()` Returns the name of the attribute.
`java.lang.String` `getAttributeValue()` Returns the value of the attribute.
`java.lang.String` `getElementName()` Returns the name of the element.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementNotFoundException

    public ElementNotFoundException(java.lang.String elementName,
                                    java.lang.String attributeName,
                                    java.lang.String attributeValue)

  Creates an instance from the variables that were used to search for the XML element.

  Parameters:
    `elementName` - the name of the element
    `attributeName` - the name of the attribute
    `attributeValue` - the value of the attribute

Method Detail

### getElementName

    public java.lang.String getElementName()

  Returns the name of the element.

  Returns:
    the name of the element

### getAttributeName

    public java.lang.String getAttributeName()

  Returns the name of the attribute.

  Returns:
    the name of the attribute

### getAttributeValue

    public java.lang.String getAttributeValue()

  Returns the value of the attribute.

  Returns:
    the value of the attribute

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.